qpid::console::SchemaArgument Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
qpid::console::SchemaArgument Struct Reference

`#include <qpid/console/Schema.h>`

List of all members.

## Public Member Functions
| SchemaArgument (framing::Buffer &buffer, bool forMethod=false)
boost::shared_ptr< Value > | decodeValue (framing::Buffer &buffer)
## Public Attributes
std::string | name
uint8_t | typeCode
bool | dirInput
bool | dirOutput
std::string | unit
int | min
int | max
int | maxLen
std::string | desc
std::string | defaultVal

## Constructor & Destructor Documentation

qpid::console::SchemaArgument::SchemaArgument | ( | framing::Buffer & | buffer,
|  | bool | forMethod = `false`
| ) |  |

## Member Function Documentation

boost::shared_ptr<Value> qpid::console::SchemaArgument::decodeValue | ( | framing::Buffer & | buffer | ) |

## Member Data Documentation

std::string qpid::console::SchemaArgument::defaultVal

Definition at line 48 of file Schema.h.

std::string qpid::console::SchemaArgument::desc

Definition at line 47 of file Schema.h.

bool qpid::console::SchemaArgument::dirInput

Definition at line 41 of file Schema.h.

bool qpid::console::SchemaArgument::dirOutput

Definition at line 42 of file Schema.h.

int qpid::console::SchemaArgument::max

Definition at line 45 of file Schema.h.

int qpid::console::SchemaArgument::maxLen

Definition at line 46 of file Schema.h.

int qpid::console::SchemaArgument::min

Definition at line 44 of file Schema.h.

std::string qpid::console::SchemaArgument::name

Definition at line 39 of file Schema.h.

uint8_t qpid::console::SchemaArgument::typeCode

Definition at line 40 of file Schema.h.

std::string qpid::console::SchemaArgument::unit

Definition at line 43 of file Schema.h.

The documentation for this struct was generated from the following file:

- qpid/console/Schema.h